# Nodemcu NTP clock with Max7219 LED matrix

## Hardware parts

* [Nodemcu v3 board](https://www.aliexpress.com/item/32565317233.html)
* [MAX7219 Dot Matrix Module For Microcontroller 4 In One Display with 5P Line](https://www.aliexpress.com/item/32616345083.html)

## Pinout

Pinout:
* Connect 3V to VCC
* Connect G to GND
* Connect D5 to DIN
* Connect D6 to CS
* Connect D7 to CLK

Note: it's all sequential

## Software dependencies

This uses the Arduino IDE with the [esp8266 core](https://arduino-esp8266.readthedocs.io/en/2.6.3/installing.html#boards-manager) and the following libraries, installed using the Libraries manager:
* [ezTime](https://github.com/ropg/ezTime) 0.8.3, to get time from NTP pool, properly format it and take in account timezones
* [MajicDesigns's MD_MAX72XX](https://github.com/MajicDesigns/MD_MAX72XX) library 3.2.1, to write hours on the Max7219 LED matrix (this builds mostly upon [the MD_MAX72xx_PrintText](https://github.com/MajicDesigns/MD_MAX72XX/blob/25da52707cd3bbcc2406b9984d694afabecf6002/examples/MD_MAX72xx_PrintText/MD_MAX72xx_PrintText.ino) sample)
